<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Game Parent frame</title>
  </head>
  <body>
    <h1>auth-game-client.js - Parent frame</h1>
    <p>This is a test. Open the console to view results.</p>
    <iframe id="frame" src="http://localhost:7701" width="500" height="500"></iframe>
    <br><br>
    <button type="button" name="button" onclick="sendMessage({ message: 'verifyToken', token: 'cool.token.bro'})">Send Message - Token</button>
    <p>Messages:</p>
    <ul id="messages"></ul>
    <script type="text/javascript">
      var frame = document.getElementById('frame')
      var messageList = document.getElementById('messages')
      var childHostURL = 'http://localhost:7701'

      window.addEventListener('message', handleMessage)

      function handleMessage (event) {
        var data = event.data

        var li = document.createElement('li')
        li.innerHTML = JSON.stringify(data)

        messageList.appendChild(li)

        if (data.message === 'tokenRequest') {
          sendMessage({
            message: 'verifyToken',
            token: 'cool.token.bro'
          })
        }
      }
      function sendMessage (data) {
        frame.contentWindow.postMessage(data || {}, childHostURL)
      }
    </script>
  </body>
</html>
